Bug 262801 - Emacs ships outdated Python mode
Emacs ships outdated Python mode
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
7
All All
medium Severity low
: ---
: ---
Assigned To: Chip Coldwell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-29 05:31 EDT by Florian Festi
Modified: 2007-12-07 16:32 EST (History)
1 user (show)

See Also:
Fixed In Version: 22.1-4.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-10 21:45:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Festi 2007-08-29 05:31:42 EDT
The current emacs ships an outdated python mode (python-mode.el) and enables it
by default (python-mode-init-el). That mode hides the now builtin Python mode
(lisp/progmodes/python.el). 

python-mode.el has a bug (broke due to changes in emacs?) with tripple quoted
strings. Single quotes in tripple quoted strings end the string highlighting and
mess with all following strings - which is very annoying.

Version-Release number of selected component (if applicable):
emacs-22.1-1.fc7.x86_64

How reproducible:
always

Steps to Reproduce:
1. open mytest.py
2. insert 
''' python-mode's error '''   
print 'string'

Actual results:
`s error' and `string' is not highlighted as string but `print ' is

Expected results:
Strings are highlighted properly

Additional info:
Removing python-mode.el(c) and python-mode-init.el(c) fixes that problem as it
falls back to the working python.el

I don't know if python.el (which comes from upstream) has any other problems
which requires replacing it with python-mode.el. I didn't realize that problem
at first and tried to fix python-mode.el - although I have a solution now I'd
suggest not fixing an obsolete software if there are other options.
Comment 1 Tom Tromey 2007-09-09 01:34:52 EDT
IMO -- Fedora should ship the python mode that Emacs comes with.
(AIUI, in the past it didn't come with a python mode, hence the addition.)
If this mode has problems, they should be fixed upstream, either by
using Barry Warsaw's mode, or by improving the shipped one.
Comment 2 Chip Coldwell 2007-09-12 10:52:05 EDT
OK, I will drop the nonstandard python mode from the next build.

Chip
Comment 3 Fedora Update System 2007-10-08 10:58:36 EDT
emacs-22.1-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update emacs'
Comment 4 Fedora Update System 2007-10-10 21:45:23 EDT
emacs-22.1-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2007-12-07 16:32:54 EST
emacs-22.1-6.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update emacs'

Note You need to log in before you can comment on or make changes to this bug.